<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="index">
<meta name="generator" content="javadoc/SingleIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="single-index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:K">K</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:Z">Z</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="commandes/Commande.html#ACTION_DEFAIRE">ACTION_DEFAIRE</a></span> - Static variable in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">nom utilisable par un ActionEvent et sa propriete ActionCommand pour
 declencher une commande Defaire</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#ACTION_REFAIRE">ACTION_REFAIRE</a></span> - Static variable in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">nom utilisable par un ActionEvent et sa propriete ActionCommand pour
 declencher une commande Refaire</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#ajouterEchelle(double)">ajouterEchelle(double)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">ajoute un facteur d'echelle (zoom) a la presente image et avertit les
 observateurs. une echelle negative a pour effet de reduire le zoom</div>
</dd>
<dt><span class="member-name-link"><a href="communs/Observable.html#ajouterObservateur(communs.Observateur)">ajouterObservateur(Observateur)</a></span> - Method in interface communs.<a href="communs/Observable.html" title="interface in communs">Observable</a></dt>
<dd>
<div class="block">inscrit un observateur aux mises a jour du present observable</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#ajouterObservateur(communs.Observateur)">ajouterObservateur(Observateur)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">ajoute un observateur au dictionnaire des observateurs. ne fait rien si
 l'observateur y est deja.</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#ajouterTransformation(java.awt.geom.AffineTransform)">ajouterTransformation(AffineTransform)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">ajoute un transformation affine a l'image et averti ses observateurs</div>
</dd>
</dl>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="modeles/SuperviseurImages.html#changerImage(java.awt.image.BufferedImage)">changerImage(BufferedImage)</a></span> - Method in class modeles.<a href="modeles/SuperviseurImages.html" title="class in modeles">SuperviseurImages</a></dt>
<dd>
<div class="block">change l'image source utilisee par la vignette, ce qui avertit les
 perspectives</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#clampAddition(int,int,int,int)">clampAddition(int, int, int, int)</a></span> - Static method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#clone()">clone()</a></span> - Method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">clone la commande</div>
</dd>
<dt><a href="commandes/Commande.html" title="class in commandes"><span class="type-name-link">Commande</span></a> - Class in <a href="commandes/package-summary.html">commandes</a></dt>
<dd>
<div class="block">Classe abstraite permettant d'operer des modifications sur une image
 modifiable</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#%3Cinit%3E()">Commande()</a></span> - Constructor for class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">cree une nouvelle commande</div>
</dd>
<dt><a href="commandes/package-summary.html">commandes</a> - package commandes</dt>
<dd>&nbsp;</dd>
<dt><a href="communs/package-summary.html">communs</a> - package communs</dt>
<dd>&nbsp;</dd>
<dt><a href="controleurs/ControleurImage.html" title="class in controleurs"><span class="type-name-link">ControleurImage</span></a> - Class in <a href="controleurs/package-summary.html">controleurs</a></dt>
<dd>
<div class="block">classe rÃ©agissant a tous les types d'evenements et laissant l'interpretation
 de ces evenenements a <a href="controleurs/InterpreteurAction.html" title="class in controleurs"><code>InterpreteurAction</code></a></div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#%3Cinit%3E(modeles.ImageModifiable,controleurs.InterpreteurAction,controleurs.TamponCommandes)">ControleurImage(ImageModifiable, InterpreteurAction, TamponCommandes)</a></span> - Constructor for class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>
<div class="block">Cree un nouveau controleur</div>
</dd>
<dt><a href="controleurs/package-summary.html">controleurs</a> - package controleurs</dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#controllerAction(java.awt.event.InputEvent)">controllerAction(InputEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>
<div class="block">methode centralisant l'appel de l'interpreteur et du receveur lorsqu'une
 action est effectuee par l'usager</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/SuperviseurImages.html#copierSuperviseur(modeles.SuperviseurImages)">copierSuperviseur(SuperviseurImages)</a></span> - Method in class modeles.<a href="modeles/SuperviseurImages.html" title="class in modeles">SuperviseurImages</a></dt>
<dd>
<div class="block">vide le prsent superviseur et copie les images de celui passe en parametre</div>
</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="commandes/Commande.html#declencheur">declencheur</a></span> - Variable in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>&nbsp;</dd>
<dt><a href="commandes/Defaire.html" title="class in commandes"><span class="type-name-link">Defaire</span></a> - Class in <a href="commandes/package-summary.html">commandes</a></dt>
<dd>
<div class="block">Commande permettant de renverser les dernieres commandes executees</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Defaire.html#%3Cinit%3E()">Defaire()</a></span> - Constructor for class commandes.<a href="commandes/Defaire.html" title="class in commandes">Defaire</a></dt>
<dd>
<div class="block">cree un nouveau Defaire utilisant le declencheur et l'interpreteur par defaut</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#deplacer(java.awt.Point)">deplacer(Point)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">ajoute le deplacement decrit par le point donne en parametre a la position
 actuelle et avertit les aobservateurs du changement</div>
</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="commandes/Commande.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="commandes/Defaire.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class commandes.<a href="commandes/Defaire.html" title="class in commandes">Defaire</a></dt>
<dd>
<div class="block">Defaire n'est egal a aucune commande</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Glisser.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class commandes.<a href="commandes/Glisser.html" title="class in commandes">Glisser</a></dt>
<dd>
<div class="block">determine si l'objet est un autre glissement sur la meme image</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Refaire.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class commandes.<a href="commandes/Refaire.html" title="class in commandes">Refaire</a></dt>
<dd>
<div class="block">compare le Refaire a un autre objet.</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Zoomer.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class commandes.<a href="commandes/Zoomer.html" title="class in commandes">Zoomer</a></dt>
<dd>
<div class="block">compare le present Zoomer avec un objet.</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#executer(java.util.List,int)">executer(List&lt;Commande&gt;, int)</a></span> - Method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">execute la commande et retourne si l'execution a modifie la pile</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Defaire.html#executer(java.util.List,int)">executer(List&lt;Commande&gt;, int)</a></span> - Method in class commandes.<a href="commandes/Defaire.html" title="class in commandes">Defaire</a></dt>
<dd>
<div class="block">execute le present Defaire, s'inserant dans l'historique et faisant avancer
 l'historique s'il y a des commandes a annuler</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Glisser.html#executer(java.util.List,int)">executer(List&lt;Commande&gt;, int)</a></span> - Method in class commandes.<a href="commandes/Glisser.html" title="class in commandes">Glisser</a></dt>
<dd>
<div class="block">execute le glissement. s'ajoute Ã  l'historique si le glissement commence, ou
 met a jour le glissement en cours</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Refaire.html#executer(java.util.List,int)">executer(List&lt;Commande&gt;, int)</a></span> - Method in class commandes.<a href="commandes/Refaire.html" title="class in commandes">Refaire</a></dt>
<dd>
<div class="block">execute la commande</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Zoomer.html#executer(java.util.List,int)">executer(List&lt;Commande&gt;, int)</a></span> - Method in class commandes.<a href="commandes/Zoomer.html" title="class in commandes">Zoomer</a></dt>
<dd>
<div class="block">execute le zoom tel que configure</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#executerCommande(commandes.Commande)">executerCommande(Commande)</a></span> - Method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:F">F</h2>
<dl class="index">
<dt><a href="vues/FenetrePrincipale.html" title="class in vues"><span class="type-name-link">FenetrePrincipale</span></a> - Class in <a href="vues/package-summary.html">vues</a></dt>
<dd>
<div class="block">Fenetre et point d'entree du programme</div>
</dd>
<dt><span class="member-name-link"><a href="vues/FenetrePrincipale.html#%3Cinit%3E()">FenetrePrincipale()</a></span> - Constructor for class vues.<a href="vues/FenetrePrincipale.html" title="class in vues">FenetrePrincipale</a></dt>
<dd>
<div class="block">construit une fenetre principale de l'editeur d'images</div>
</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#getCommandeActive()">getCommandeActive()</a></span> - Method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#getDerniereImageModifiee()">getDerniereImageModifiee()</a></span> - Method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#getDessusListe(java.util.List)">getDessusListe(List&lt;Commande&gt;)</a></span> - Static method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">mÃ©thode retournant l'element en tete de liste s'il existe retourne</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#getImageModifiable()">getImageModifiable()</a></span> - Method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">recupere l'image modifiable affectee</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#getImageModifiee()">getImageModifiee()</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">applique la transformation affine concatenee a l'image source et retourne le
 resultat de la transformation</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/InterpreteurAction.html#getInstance()">getInstance()</a></span> - Static method in class controleurs.<a href="controleurs/InterpreteurAction.html" title="class in controleurs">InterpreteurAction</a></dt>
<dd>
<div class="block">retourne l'instance unique de l'interpreteur d'actions</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#getInstance()">getInstance()</a></span> - Static method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#getMementoActif()">getMementoActif()</a></span> - Method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#getX()">getX()</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">retourne la position en X du coin superieur gauche de l'image</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#getY()">getY()</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">retourne la position en Y du coin superieur gauche de l'image</div>
</dd>
<dt><a href="commandes/Glisser.html" title="class in commandes"><span class="type-name-link">Glisser</span></a> - Class in <a href="commandes/package-summary.html">commandes</a></dt>
<dd>
<div class="block">commande permettant de faire glisser l'image dans sa perspective</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Glisser.html#%3Cinit%3E()">Glisser()</a></span> - Constructor for class commandes.<a href="commandes/Glisser.html" title="class in commandes">Glisser</a></dt>
<dd>
<div class="block">construit un glissement avec le declencheur et interpreteur par defaut</div>
</dd>
</dl>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="commandes/Commande.html#imageModifiable">imageModifiable</a></span> - Variable in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>&nbsp;</dd>
<dt><a href="modeles/ImageModifiable.html" title="class in modeles"><span class="type-name-link">ImageModifiable</span></a> - Class in <a href="modeles/package-summary.html">modeles</a></dt>
<dd>
<div class="block">modele representant une image et les transformations geometriques que l'on y
 applique</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#%3Cinit%3E(java.awt.image.BufferedImage)">ImageModifiable(BufferedImage)</a></span> - Constructor for class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">cree une image modifiable en se servant de l'image specifie comme base</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#%3Cinit%3E(modeles.ImageModifiable)">ImageModifiable(ImageModifiable)</a></span> - Constructor for class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">Cree une image modifiable en surveillant une autre, permettant
 potentiellement de chaÃ®ner les changements.</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/InterpreteurAction.html#interpreterAction(java.awt.AWTEvent)">interpreterAction(AWTEvent)</a></span> - Method in class controleurs.<a href="controleurs/InterpreteurAction.html" title="class in controleurs">InterpreteurAction</a></dt>
<dd>
<div class="block">Recoit une action generee par l'utiisateur et, si elle correspond au
 declencheur de l'une des commandes, clone, parametre et retourne la commande.</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#interpreterEvent(java.awt.AWTEvent)">interpreterEvent(AWTEvent)</a></span> - Method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">utilise l'event pour parametrer la commande</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#interpreteur">interpreteur</a></span> - Variable in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>&nbsp;</dd>
<dt><a href="controleurs/InterpreteurAction.html" title="class in controleurs"><span class="type-name-link">InterpreteurAction</span></a> - Class in <a href="controleurs/package-summary.html">controleurs</a></dt>
<dd>
<div class="block">Registre des prototypes de commandes.</div>
</dd>
</dl>
<h2 class="title" id="I:K">K</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#keyPressed(java.awt.event.KeyEvent)">keyPressed(KeyEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#keyReleased(java.awt.event.KeyEvent)">keyReleased(KeyEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#keyTyped(java.awt.event.KeyEvent)">keyTyped(KeyEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="vues/FenetrePrincipale.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class vues.<a href="vues/FenetrePrincipale.html" title="class in vues">FenetrePrincipale</a></dt>
<dd>
<div class="block">Demarre l'editeur</div>
</dd>
<dt><a href="controleurs/Memento.html" title="interface in controleurs"><span class="type-name-link">Memento</span></a> - Interface in <a href="controleurs/package-summary.html">controleurs</a></dt>
<dd>
<div class="block">interface signifiant qu'un objet est capable de sauvegarder son etat et de le
 restituer plus tard</div>
</dd>
<dt><a href="vues/MenuFenetre.html" title="class in vues"><span class="type-name-link">MenuFenetre</span></a> - Class in <a href="vues/package-summary.html">vues</a></dt>
<dd>
<div class="block">Barre de commandes incluant selection d'images, gestion de sauvegardes de
 perspectives et de commandes undo/redo.</div>
</dd>
<dt><span class="member-name-link"><a href="vues/MenuFenetre.html#%3Cinit%3E(modeles.SuperviseurImages)">MenuFenetre(SuperviseurImages)</a></span> - Constructor for class vues.<a href="vues/MenuFenetre.html" title="class in vues">MenuFenetre</a></dt>
<dd>
<div class="block">Cree un nouveau menu permettant d'agir sur le superviseur donne</div>
</dd>
<dt><a href="modeles/package-summary.html">modeles</a> - package modeles</dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mouseClicked(java.awt.event.MouseEvent)">mouseClicked(MouseEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mouseDragged(java.awt.event.MouseEvent)">mouseDragged(MouseEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mouseEntered(java.awt.event.MouseEvent)">mouseEntered(MouseEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mouseExited(java.awt.event.MouseEvent)">mouseExited(MouseEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mouseMoved(java.awt.event.MouseEvent)">mouseMoved(MouseEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mousePressed(java.awt.event.MouseEvent)">mousePressed(MouseEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mouseReleased(java.awt.event.MouseEvent)">mouseReleased(MouseEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="controleurs/ControleurImage.html#mouseWheelMoved(java.awt.event.MouseWheelEvent)">mouseWheelMoved(MouseWheelEvent)</a></span> - Method in class controleurs.<a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:N">N</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="communs/Observateur.html#notifier()">notifier()</a></span> - Method in interface communs.<a href="communs/Observateur.html" title="interface in communs">Observateur</a></dt>
<dd>
<div class="block">alerte l'instance d'observateur qu'un objet observe a ete mis a jour</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#notifier()">notifier()</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">avertit l'instance presente d'un changement dans l'Ã©tat d'un objet observe</div>
</dd>
<dt><span class="member-name-link"><a href="vues/VueImage.html#notifier()">notifier()</a></span> - Method in class vues.<a href="vues/VueImage.html" title="class in vues">VueImage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="communs/Observable.html#notifierObservateurs()">notifierObservateurs()</a></span> - Method in interface communs.<a href="communs/Observable.html" title="interface in communs">Observable</a></dt>
<dd>
<div class="block">alerte tous les observateurs qu'un changement a opere dans l'instance</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#notifierObservateurs()">notifierObservateurs()</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">notifie tous les observateurs enregistres d'un changement d'etat du present
 objet</div>
</dd>
</dl>
<h2 class="title" id="I:O">O</h2>
<dl class="index">
<dt><a href="communs/Observable.html" title="interface in communs"><span class="type-name-link">Observable</span></a> - Interface in <a href="communs/package-summary.html">communs</a></dt>
<dd>
<div class="block">interface permettant a un objet de diffuser son etat a d'autres objets
 observateurs</div>
</dd>
<dt><a href="communs/Observateur.html" title="interface in communs"><span class="type-name-link">Observateur</span></a> - Interface in <a href="communs/package-summary.html">communs</a></dt>
<dd>
<div class="block">interface signifiant qu'un objet est interesse a notifie des mises a jour
 d'un autre objet</div>
</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="vues/VueImage.html#paint(java.awt.Graphics)">paint(Graphics)</a></span> - Method in class vues.<a href="vues/VueImage.html" title="class in vues">VueImage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="vues/PanneauPrincipal.html" title="class in vues"><span class="type-name-link">PanneauPrincipal</span></a> - Class in <a href="vues/package-summary.html">vues</a></dt>
<dd>
<div class="block">panneau contenant les vues et disposant les fenÃªtres aux bons endroits</div>
</dd>
<dt><span class="member-name-link"><a href="vues/PanneauPrincipal.html#%3Cinit%3E(java.util.List)">PanneauPrincipal(List&lt;ImageModifiable&gt;)</a></span> - Constructor for class vues.<a href="vues/PanneauPrincipal.html" title="class in vues">PanneauPrincipal</a></dt>
<dd>
<div class="block">Construit un panneau a une vignette et deux perspectives</div>
</dd>
<dt><span class="member-name-link"><a href="vues/FenetrePrincipale.html#propertyChange(java.beans.PropertyChangeEvent)">propertyChange(PropertyChangeEvent)</a></span> - Method in class vues.<a href="vues/FenetrePrincipale.html" title="class in vues">FenetrePrincipale</a></dt>
<dd>
<div class="block">rÃ©agit aux evement du gestionnaire de fenetrage et aux changements dans le
 superviseur d'images</div>
</dd>
</dl>
<h2 class="title" id="I:R">R</h2>
<dl class="index">
<dt><a href="commandes/Refaire.html" title="class in commandes"><span class="type-name-link">Refaire</span></a> - Class in <a href="commandes/package-summary.html">commandes</a></dt>
<dd>
<div class="block">Commande permettant de refaire une commande defaite</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Refaire.html#%3Cinit%3E()">Refaire()</a></span> - Constructor for class commandes.<a href="commandes/Refaire.html" title="class in commandes">Refaire</a></dt>
<dd>
<div class="block">cree une nouvelle commande avec un declencheur et interpreteur par defaut</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/Memento.html#restaurer(controleurs.Memento)">restaurer(Memento)</a></span> - Method in interface controleurs.<a href="controleurs/Memento.html" title="interface in controleurs">Memento</a></dt>
<dd>
<div class="block">restitue un etat precedant de l'objet grace a un memento</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#restaurer(controleurs.Memento)">restaurer(Memento)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">utilise le memento passe en parametre pour restaurer un etat precedent et
 avertit les observateurs. si c'est un memento d'ImageModifiable, rÃ©cupÃ¨re la
 transformation, position, echelle. si le memento est null, reinitialise les
 valeurs. ne fait rien si le memento n'est pas du bon type</div>
</dd>
<dt><span class="member-name-link"><a href="communs/Observable.html#retirerObservateur(communs.Observateur)">retirerObservateur(Observateur)</a></span> - Method in interface communs.<a href="communs/Observable.html" title="interface in communs">Observable</a></dt>
<dd>
<div class="block">descinscrit un observateur des mises a jour de l'instance d'Observable</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#retirerObservateur(communs.Observateur)">retirerObservateur(Observateur)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">retire un observateur du dictionnaire des observateurs. ne fait rien s'il n'y
 est pas.</div>
</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="controleurs/Memento.html#sauvegarder()">sauvegarder()</a></span> - Method in interface controleurs.<a href="controleurs/Memento.html" title="interface in controleurs">Memento</a></dt>
<dd>
<div class="block">cree un nouveau memento de l'etat actuel de l'instance concrete</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#sauvegarder()">sauvegarder()</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">cree un memento de l'ImageModifiable</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#setImageModifiable(modeles.ImageModifiable)">setImageModifiable(ImageModifiable)</a></span> - Method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">change l'image modifiable modifiable qui sera affectee par l'execution de la
 commande</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#setPosition(java.awt.Point)">setPosition(Point)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">change la position du coin superieur gauche de l'image</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/ImageModifiable.html#setSource(java.awt.image.BufferedImage)">setSource(BufferedImage)</a></span> - Method in class modeles.<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></dt>
<dd>
<div class="block">change l'image source de l'instance et avertit les observateurs</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/SuperviseurImages.html#SUPERVISEUR_CHANGER">SUPERVISEUR_CHANGER</a></span> - Static variable in class modeles.<a href="modeles/SuperviseurImages.html" title="class in modeles">SuperviseurImages</a></dt>
<dd>&nbsp;</dd>
<dt><a href="modeles/SuperviseurImages.html" title="class in modeles"><span class="type-name-link">SuperviseurImages</span></a> - Class in <a href="modeles/package-summary.html">modeles</a></dt>
<dd>
<div class="block">objet federant des images modifiables, permettant de les serialiser ensemble</div>
</dd>
<dt><span class="member-name-link"><a href="modeles/SuperviseurImages.html#%3Cinit%3E(java.awt.image.BufferedImage,int)">SuperviseurImages(BufferedImage, int)</a></span> - Constructor for class modeles.<a href="modeles/SuperviseurImages.html" title="class in modeles">SuperviseurImages</a></dt>
<dd>
<div class="block">Cree un superviseur d'image prÃ©sentant une vignette et un certain nombre de
 perspectives.</div>
</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><a href="controleurs/TamponCommandes.html" title="class in controleurs"><span class="type-name-link">TamponCommandes</span></a> - Class in <a href="controleurs/package-summary.html">controleurs</a></dt>
<dd>
<div class="block">Singleton centralisant l'exÃ©cution des commandes sur les images modifiables
 et la conservation de l'historique des commandes</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#tronquerDebutHistorique(java.util.List,int)">tronquerDebutHistorique(List&lt;?&gt;, int)</a></span> - Static method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="commandes/Commande.html#tronquerDebutListe(java.util.List,int)">tronquerDebutListe(List&lt;Commande&gt;, int)</a></span> - Static method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">methode facilitant le retrait d'un certain nombre d'entrees a la tete de la
 liste de commandes.</div>
</dd>
<dt><span class="member-name-link"><a href="controleurs/TamponCommandes.html#tronquerFinHistorique(java.util.List,int)">tronquerFinHistorique(List&lt;?&gt;, int)</a></span> - Static method in class controleurs.<a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:V">V</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="commandes/Commande.html#verifierEventValide(java.awt.AWTEvent)">verifierEventValide(AWTEvent)</a></span> - Method in class commandes.<a href="commandes/Commande.html" title="class in commandes">Commande</a></dt>
<dd>
<div class="block">methode verifiant si l'event satisfait les conditions de declanchement de la
 commande</div>
</dd>
<dt><a href="vues/VueImage.html" title="class in vues"><span class="type-name-link">VueImage</span></a> - Class in <a href="vues/package-summary.html">vues</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="vues/VueImage.html#%3Cinit%3E(modeles.ImageModifiable,controleurs.ControleurImage)">VueImage(ImageModifiable, ControleurImage)</a></span> - Constructor for class vues.<a href="vues/VueImage.html" title="class in vues">VueImage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="vues/package-summary.html">vues</a> - package vues</dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:Z">Z</h2>
<dl class="index">
<dt><a href="commandes/Zoomer.html" title="class in commandes"><span class="type-name-link">Zoomer</span></a> - Class in <a href="commandes/package-summary.html">commandes</a></dt>
<dd>
<div class="block">Commande representant un changement d'echelle de l'image</div>
</dd>
<dt><span class="member-name-link"><a href="commandes/Zoomer.html#%3Cinit%3E()">Zoomer()</a></span> - Constructor for class commandes.<a href="commandes/Zoomer.html" title="class in commandes">Zoomer</a></dt>
<dd>
<div class="block">construit un zoom en utilisant le declencheur et interpreteur par defaut</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:K">K</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:Z">Z</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
